--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: associated bot
  name: bot
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: should the message be ignored?
  name: ignored
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: set this to true if the method that delegates the message is run in a thread
  name: in_thread
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: contents of the message (for logging purposes)
  name: logmessage
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: contents of the message (stripped of initial/final format codes)
  name: message
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: contents of the message (stripped of all formatting)
  name: plainmessage
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: has the message been replied to/handled by a plugin?
  name: replied
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: associated server
  name: server
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: User that originated the message
  name: source
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: User/Channel message was sent to
  name: target
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: when the message was received
  name: time
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: strip_formatting
- !ruby/object:RI::MethodSummary 
  name: strip_initial_formatting
- !ruby/object:RI::MethodSummary 
  name: stripcolour
comment: 
- !ruby/struct:SM::Flow::P 
  body: base user message class, all user messages derive from this (a user message is defined as having a source hostmask, a target nick/channel and a message part)
constants: []

full_name: Irc::BasicUserMessage
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: address?
- !ruby/object:RI::MethodSummary 
  name: botuser
- !ruby/object:RI::MethodSummary 
  name: identified?
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: sourceaddress
- !ruby/object:RI::MethodSummary 
  name: sourcenick
name: BasicUserMessage
superclass: Object
